apiVersion: apps/v1
kind: Deployment
metadata:
  name: blog-deployment
  labels:
    app: blog
  namespace: blog
spec:
  replicas: 3
  selector:
    matchLabels:
      app: blog
  template:
    metadata:
      labels:
        app: blog
    spec:
      containers:
      - name: blog
        image: git.aridgwayweb.com/armistace/blog:latest
        ports:
        - containerPort: 8000
      imagePullSecrets:
        - name: regcred
